summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorAntonin Dach2021-03-20 15:47:00 +0100
committerAntonin Dach2021-03-20 15:47:00 +0100
commit30583244705ec6884abfd95c53baa167c96a2abe (patch)
treed07ca9cd8a8a5e50cdaf4b10e438b94bfba1e302
parent415de82376c61d8e4388d717b2a1faa0d25e102c (diff)
downloadaur-wayst-git.tar.gz
make pkgver use tags in future like in wayst/x11 packages
-rw-r--r--.SRCINFO2
-rw-r--r--PKGBUILD15
2 files changed, 10 insertions, 7 deletions
diff --git a/.SRCINFO b/.SRCINFO
index 2bc9b172413..4459f47b63e 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,6 +1,6 @@
pkgbase = wayst-git
pkgdesc = Simple terminal emulator for Wayland and X11 with OpenGL rendering and minimal dependencies.
- pkgver = r146.18a038b
+ pkgver = r222.4143e35
pkgrel = 1
url = https://github.com/91861/wayst
arch = x86_64
diff --git a/PKGBUILD b/PKGBUILD
index e2d2f89d747..0226dd5f048 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -1,6 +1,8 @@
# Maintainer: AntonĂ­n Dach <dach@protonmail.com>
+# Contributor: Vincent Grande <shoober420@gmail.com>
+
pkgname=wayst-git
-pkgver=r146.18a038b
+pkgver=r222.4143e35
pkgrel=1
pkgdesc='Simple terminal emulator for Wayland and X11 with OpenGL rendering and minimal dependencies.'
arch=('x86_64')
@@ -15,13 +17,15 @@ source=('git+https://github.com/91861/wayst.git#branch=master')
md5sums=('SKIP')
pkgver() {
- cd "$srcdir/wayst"
-# printf "%s" "$(git describe --long | sed 's/\([^-]*-\)g/r\1/;s/-/./g')"
- printf "r%s.%s" "$(git rev-list --count HEAD)" "$(git rev-parse --short HEAD)"
+ cd wayst
+ ( set -o pipefail
+ git describe --long 2>/dev/null | sed 's/\([^-]*-g\)/r\1/;s/-/./g' ||
+ printf "r%s.%s" "$(git rev-list --count HEAD)" "$(git rev-parse --short HEAD)"
+ )
}
build() {
- cd "$srcdir/wayst"
+ cd wayst
make
}
@@ -29,5 +33,4 @@ package() {
cd "$srcdir/wayst"
mkdir -p "$pkgdir/usr/bin"
make INSTALL_DIR="$pkgdir/usr/bin" install
- #install -Dm 755 wayst "$pkgdir"/usr/bin/wayst
}